Bug 910485 (kajongg)

Summary: Review Request: kajongg - Classical Mah Jongg game for four players
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-26 09:36:41 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 13:14:08 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kajongg.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kajongg-4.10.0-2.fc18.src.rpm
Description: Mah Jongg - the ancient Chinese board game
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-16 16:33:07 EST
Typo in requested package name kahjongg instead of kajongg
Comment 2 nucleo 2013-02-23 14:43:07 EST
To distinguish kajongg and kmahjongg maybe better summary will be "Classical Mah Jongg game for four players" from README.

All files GPLv2+ but modeltest.py GPLv2, README say "Kajongg is covered by the GNU GPL2 license - see COPYING." Documentation under GFDL license, so

License: GPLv2 and GFDL

License files COPYING.DOC, voices/female2/COPYRIGHT should be added in %doc and README.

rpmlint output:

$ rpmlint kajongg-4.10.0-2.fc18.noarch.rpm kajongg-4.10.0-2.fc18.src.rpm kajongg.spec 
kajongg.noarch: W: spelling-error Summary(en_US) Mah -> Maj, Ah, Mach
kajongg.noarch: E: non-executable-script /usr/share/kde4/apps/kajongg/deferredutil.py 0644L /usr/bin/env
kajongg.noarch: E: non-executable-script /usr/share/kde4/apps/kajongg/server.py 0644L /usr/bin/env
kajongg.noarch: W: no-manual-page-for-binary kajongg
kajongg.noarch: W: no-manual-page-for-binary kajonggserver
kajongg.src: W: spelling-error Summary(en_US) Mah -> Maj, Ah, Mach
kajongg.src:77: W: macro-in-comment %{name}
kajongg.spec:77: W: macro-in-comment %{name}
2 packages and 1 specfiles checked; 2 errors, 6 warnings.

All commented lines should be removed including #update-desktop-database because no MimeType key in kajongg.desktop.
Comment 3 Rex Dieter 2013-02-24 17:06:06 EST

Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kajongg.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kajongg-4.10.0-3.fc18.src.rpm

%changelog
* Sun Feb 24 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-3
- update license, summary
Comment 4 nucleo 2013-02-24 19:13:09 EST
README also can be included in %doc because it saying "Kajongg is covered by the GNU GPL2 license- see COPYING."



MUST Items:
+ rpmlint output
  $ rpmlint kajongg-4.10.0-2.fc18.noarch.rpm kajongg-4.10.0-3.fc18.src.rpm kajongg.spec 
    kajongg.noarch: W: spelling-error Summary(en_US) Mah -> Maj, Ah, Mach
    kajongg.noarch: E: non-executable-script /usr/share/kde4/apps/kajongg/deferredutil.py 0644L /usr/bin/env
    kajongg.noarch: E: non-executable-script /usr/share/kde4/apps/kajongg/server.py 0644L /usr/bin/env
    kajongg.noarch: W: no-manual-page-for-binary kajongg
    kajongg.noarch: W: no-manual-page-for-binary kajonggserver
    2 packages and 1 specfiles checked; 2 errors, 3 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kajongg-4.10.0.tar.xz
+ spec file name kajongg.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2 and GFDL, matches actual
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 72c42da90dbeff08d396ff472d2ee7b5  kajongg-4.10.0.tar.xz
  SHA1: c0383ee5b296a8d00c87ccd8e504d4600caee6dd  kajongg-4.10.0.tar.xz
  SHA256: 701e8a508ed8f54539c76a79303eba1601c31c456ba4d86fb39fd460dcb34b6b  kajongg-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, voices under GPLv2+ license
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kajongg.desktop file for the GUI app kajongg present
+ desktop-file-validate is used in %check and the kajongg.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kajongg's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (no debuginfo for noarch package)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating hicolor icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts


APPROVED
Comment 5 Rex Dieter 2013-02-25 14:03:49 EST
New Package SCM Request
=======================
Package Name: kajongg
Short Description: Classical Mah Jongg game for four players
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Jon Ciesla 2013-02-25 18:00:45 EST
Git done (by process-git-requests).
Comment 7 Rex Dieter 2013-02-26 09:36:41 EST
thanks, imported